package com.ruoyi.system.service.impl;

import java.util.List;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.page.TableDataInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ProductDirectcurrentMapper;
import com.ruoyi.system.domain.ProductDirectcurrent;
import com.ruoyi.system.service.IProductDirectcurrentService;

/**
 * 直流舱系统表 服务实现
 *
 * @author ruoyi
 */
@Service
public class ProductDirectcurrentServiceImpl implements IProductDirectcurrentService
{
    @Autowired
    private ProductDirectcurrentMapper productDirectcurrentMapper;

    /**
     * 查询直流舱系统集合
     *
     * @param productDirectcurrent 直流舱系统信息
     * @return 直流舱系统集合
     */
    @Override
    public List<ProductDirectcurrent> selectProductDirectcurrentList(ProductDirectcurrent productDirectcurrent)
    {
        return productDirectcurrentMapper.selectProductDirectcurrentList(productDirectcurrent);
    }

    /**
     * 分页查询直流舱系统集合
     *
     * @param productDirectcurrent 直流舱系统信息
     * @return 分页数据
     */
    @Override
    public TableDataInfo selectProductDirectcurrentListByPage(ProductDirectcurrent productDirectcurrent, Integer pageNum, Integer pageSize)
    {
        if (pageNum == null) pageNum = 1;
        if (pageSize == null) pageSize = 10;
        PageHelper.startPage(pageNum, pageSize);
        List<ProductDirectcurrent> list = productDirectcurrentMapper.selectProductDirectcurrentList(productDirectcurrent);
        PageInfo<ProductDirectcurrent> pageInfo = new PageInfo<>(list);
        return new TableDataInfo(list, pageInfo.getTotal());
    }

    /**
     * 根据ID查询直流舱系统信息
     *
     * @return 直流舱系统信息
     */
    @Override
    public ProductDirectcurrent selectProductDirectcurrentById(String productId)
    {
        return productDirectcurrentMapper.selectProductDirectcurrentById(productId);
    }

    /**
     * 新增直流舱系统信息
     *
     * @param productDirectcurrent 直流舱系统信息
     * @return 结果
     */
    @Override
    public int insertProductDirectcurrent(ProductDirectcurrent productDirectcurrent)
    {
        return productDirectcurrentMapper.insertProductDirectcurrent(productDirectcurrent);
    }

    /**
     * 修改直流舱系统信息
     *
     * @param productDirectcurrent 直流舱系统信息
     * @return 结果
     */
    @Override
    public int updateProductDirectcurrent(ProductDirectcurrent productDirectcurrent)
    {
        return productDirectcurrentMapper.updateProductDirectcurrent(productDirectcurrent);
    }

    /**
     * 删除直流舱系统信息
     *
     * @return 结果
     */
    @Override
    public int deleteProductDirectcurrentById(String ProductId)
    {
        return productDirectcurrentMapper.deleteProductDirectcurrentById(ProductId);
    }

    /**
     * 批量删除直流舱系统信息
     *
     * @param ids 需要删除的主键ID数组
     * @return 结果
     */
    @Override
    public int deleteProductDirectcurrentByIds(Long[] ids)
    {
        return productDirectcurrentMapper.deleteProductDirectcurrentByIds(ids);
    }
}